summaryrefslogtreecommitdiff
path: root/infrastructure
diff options
context:
space:
mode:
Diffstat (limited to 'infrastructure')
-rwxr-xr-xinfrastructure/travis-build.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/infrastructure/travis-build.sh b/infrastructure/travis-build.sh
new file mode 100755
index 00000000..f4cd4ef4
--- /dev/null
+++ b/infrastructure/travis-build.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+set -x
+
+ccache -s
+
+cd `dirname $0`/..
+./bootstrap
+./configure CC="ccache $CC" CXX="ccache $CXX" "$@"
+grep CXX config.status
+make V=1
+./runtest.pl ALL $TEST_TARGET
+
+ccache -s